Index: /palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- /palm/trunk/SOURCE/advec_s_bc.f90	(revision 4487)
+++ /palm/trunk/SOURCE/advec_s_bc.f90	(revision 4488)
@@ -1,20 +1,19 @@
 !> @file advec_s_bc.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+! -------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
@@ -25,12 +24,15 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4429 2020-02-27 15:24:30Z raasch
 ! bugfix: cpp-directives added for serial mode
-! 
+!
 ! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3761 2019-02-25 15:31:42Z raasch
 ! unused variables removed
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! nopointer option removed
@@ -45,13 +47,12 @@
 !> Computation in individual steps for each of the three dimensions.
 !> Limiting assumptions:
-!> So far the scheme has been assuming equidistant grid spacing. As this is not
-!> the case in the stretched portion of the z-direction, there dzw(k) is used as
-!> a substitute for a constant grid length. This certainly causes incorrect
-!> results; however, it is hoped that they are not too apparent for weakly 
-!> stretched grids.
+!> So far the scheme has been assuming equidistant grid spacing. As this is not the case in the
+!> stretched portion of the z-direction, there dzw(k) is used as a substitute for a constant grid
+!> length. This certainly causes incorrect results; however, it is hoped that they are not too
+!> apparent for weakly stretched grids.
 !> NOTE: This is a provisional, non-optimised version!
-!------------------------------------------------------------------------------!
-MODULE advec_s_bc_mod
- 
+!--------------------------------------------------------------------------------------------------!
+ MODULE advec_s_bc_mod
+
 
     PRIVATE
@@ -64,29 +65,28 @@
  CONTAINS
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> @todo Missing subroutine description.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE advec_s_bc( sk, sk_char )
 
-       USE advection,                                                             &
+       USE advection,                                                                              &
            ONLY:  aex, bex, dex, eex
 
-       USE arrays_3d,                                                             &
+       USE arrays_3d,                                                                              &
            ONLY:  d, ddzw, dzu, dzw, tend, u, v, w
 
-       USE control_parameters,                                                    &
-           ONLY:  dt_3d, bc_pt_t_val, bc_q_t_val, bc_s_t_val, ibc_pt_b, ibc_pt_t, &
-                  ibc_q_t, ibc_s_t, message_string, pt_slope_offset,              &
-                  sloping_surface, u_gtrans, v_gtrans
-
-       USE cpulog,                                                                &
+       USE control_parameters,                                                                     &
+           ONLY:  bc_pt_t_val, bc_q_t_val, bc_s_t_val, dt_3d, ibc_pt_b, ibc_pt_t, ibc_q_t, ibc_s_t,&
+                  message_string, pt_slope_offset, sloping_surface, u_gtrans, v_gtrans
+
+       USE cpulog,                                                                                 &
            ONLY:  cpu_log, log_point_s
 
-       USE grid_variables,                                                        &
+       USE grid_variables,                                                                         &
            ONLY:  ddx, ddy
 
-       USE indices,                                                               &
+       USE indices,                                                                                &
            ONLY:  nx, nxl, nxr, nyn, nys, nzb, nzt
 
@@ -95,5 +95,5 @@
        USE pegrid
 
-       USE statistics,                                                            &
+       USE statistics,                                                                             &
            ONLY:  rmask, statistic_regions, sums_wsts_bc_l
 
@@ -112,37 +112,34 @@
        INTEGER(iwp) ::  type_xz_2 !<
 #endif
-
-       REAL(wp) ::  cim    !<
-       REAL(wp) ::  cimf   !<
-       REAL(wp) ::  cip    !<
-       REAL(wp) ::  cipf   !<
-       REAL(wp) ::  d_new  !<
-       REAL(wp) ::  denomi !< denominator
-       REAL(wp) ::  fminus !<
-       REAL(wp) ::  fplus  !<
-       REAL(wp) ::  f2     !<
-       REAL(wp) ::  f4     !<
-       REAL(wp) ::  f8     !<
-       REAL(wp) ::  f12    !<
-       REAL(wp) ::  f24    !<
-       REAL(wp) ::  f48    !<
-       REAL(wp) ::  f1920  !<
-       REAL(wp) ::  im     !<
-       REAL(wp) ::  ip     !<
-       REAL(wp) ::  m1n    !<
-       REAL(wp) ::  m1z    !<
-       REAL(wp) ::  m2     !<
-       REAL(wp) ::  m3     !<
-       REAL(wp) ::  numera !< numerator
-       REAL(wp) ::  snenn  !<
-       REAL(wp) ::  sterm  !<
-       REAL(wp) ::  tendcy !<
-       REAL(wp) ::  t1     !<
-       REAL(wp) ::  t2     !<
+       REAL(wp) ::  cim       !<
+       REAL(wp) ::  cimf      !<
+       REAL(wp) ::  cip       !<
+       REAL(wp) ::  cipf      !<
+       REAL(wp) ::  d_new     !<
+       REAL(wp) ::  denomi    !< denominator
+       REAL(wp) ::  fminus    !<
+       REAL(wp) ::  fplus     !<
+       REAL(wp) ::  f2        !<
+       REAL(wp) ::  f4        !<
+       REAL(wp) ::  f8        !<
+       REAL(wp) ::  f12       !<
+       REAL(wp) ::  f24       !<
+       REAL(wp) ::  f48       !<
+       REAL(wp) ::  f1920     !<
+       REAL(wp) ::  im        !<
+       REAL(wp) ::  ip        !<
+       REAL(wp) ::  m1n       !<
+       REAL(wp) ::  m1z       !<
+       REAL(wp) ::  m2        !<
+       REAL(wp) ::  m3        !<
+       REAL(wp) ::  numera    !< numerator
+       REAL(wp) ::  snenn     !<
+       REAL(wp) ::  sterm     !<
+       REAL(wp) ::  tendcy    !<
+       REAL(wp) ::  t1        !<
+       REAL(wp) ::  t2        !<
 
        REAL(wp) ::  fmax(2)   !<
        REAL(wp) ::  fmax_l(2) !<
-       
-       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk
 
        REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  a0   !<
@@ -161,6 +158,9 @@
        REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  m1   !<
        REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  sw   !<
-       
+
        REAL(wp), DIMENSION(:,:,:), ALLOCATABLE ::  sk_p !<
+
+       REAL(wp), DIMENSION(:,:,:), POINTER ::  sk !<
+
 
 !
@@ -197,11 +197,11 @@
 !
 !--    Send left boundary, receive right boundary
-       CALL MPI_SENDRECV( sk_p(nzb-2,nys-3,nxl+1), ngp, MPI_REAL, pleft,  0,      &
-                          sk_p(nzb-2,nys-3,nxr+2), ngp, MPI_REAL, pright, 0,      &
+       CALL MPI_SENDRECV( sk_p(nzb-2,nys-3,nxl+1), ngp, MPI_REAL, pleft,  0,                       &
+                          sk_p(nzb-2,nys-3,nxr+2), ngp, MPI_REAL, pright, 0,                       &
                           comm2d, status, ierr )
 !
 !--    Send right boundary, receive left boundary
-       CALL MPI_SENDRECV( sk_p(nzb-2,nys-3,nxr-2), ngp, MPI_REAL, pright, 1,      &
-                          sk_p(nzb-2,nys-3,nxl-3), ngp, MPI_REAL, pleft,  1,      &
+       CALL MPI_SENDRECV( sk_p(nzb-2,nys-3,nxr-2), ngp, MPI_REAL, pright, 1,                       &
+                          sk_p(nzb-2,nys-3,nxl-3), ngp, MPI_REAL, pleft,  1,                       &
                           comm2d, status, ierr )
        CALL cpu_log( log_point_s(11), 'advec_s_bc:sendrecv', 'pause' )
@@ -217,7 +217,7 @@
 
 !
-!--    In case of a sloping surface, the additional gridpoints in x-direction
-!--    of the temperature field at the left and right boundary of the total
-!--    domain must be adjusted by the temperature difference between this distance
+!--    In case of a sloping surface, the additional gridpoints in x-direction of the temperature
+!--    field at the left and right boundary of the total domain must be adjusted by the temperature
+!--    difference between this distance
        IF ( sloping_surface  .AND.  sk_char == 'pt' )  THEN
           IF ( nxl ==  0 )  THEN
@@ -241,5 +241,5 @@
           DO  j = nys, nyn
              DO  k = nzb+1, nzt
-                numera = ABS( sk_p(k,j,i+1) - 2.0_wp * sk_p(k,j,i) + sk_p(k,j,i-1) )
+                numera  = ABS( sk_p(k,j,i+1) - 2.0_wp * sk_p(k,j,i) + sk_p(k,j,i-1) )
                 denomi  = ABS( sk_p(k,j,i+1) - sk_p(k,j,i-1) )
                 fmax_l(1) = MAX( fmax_l(1) , numera )
@@ -259,23 +259,20 @@
 !
 !--    Allocate temporary arrays
-       ALLOCATE( a0(nzb+1:nzt,nxl-1:nxr+1),   a1(nzb+1:nzt,nxl-1:nxr+1),          &
-                 a2(nzb+1:nzt,nxl-1:nxr+1),   a12(nzb+1:nzt,nxl-1:nxr+1),         &
-                 a22(nzb+1:nzt,nxl-1:nxr+1),  immb(nzb+1:nzt,nxl-1:nxr+1),        &
-                 imme(nzb+1:nzt,nxl-1:nxr+1), impb(nzb+1:nzt,nxl-1:nxr+1),        &
-                 impe(nzb+1:nzt,nxl-1:nxr+1), ipmb(nzb+1:nzt,nxl-1:nxr+1),        &
-                 ipme(nzb+1:nzt,nxl-1:nxr+1), ippb(nzb+1:nzt,nxl-1:nxr+1),        &
-                 ippe(nzb+1:nzt,nxl-1:nxr+1), m1(nzb+1:nzt,nxl-2:nxr+2),          &
-                 sw(nzb+1:nzt,nxl-1:nxr+1)                                        &
+       ALLOCATE( a0(nzb+1:nzt,nxl-1:nxr+1),   a1(nzb+1:nzt,nxl-1:nxr+1), a2(nzb+1:nzt,nxl-1:nxr+1),&
+                 a12(nzb+1:nzt,nxl-1:nxr+1),  a22(nzb+1:nzt,nxl-1:nxr+1),                          &
+                 immb(nzb+1:nzt,nxl-1:nxr+1), imme(nzb+1:nzt,nxl-1:nxr+1),                         &
+                 impb(nzb+1:nzt,nxl-1:nxr+1), impe(nzb+1:nzt,nxl-1:nxr+1),                         &
+                 ipmb(nzb+1:nzt,nxl-1:nxr+1), ipme(nzb+1:nzt,nxl-1:nxr+1),                         &
+                 ippb(nzb+1:nzt,nxl-1:nxr+1), ippe(nzb+1:nzt,nxl-1:nxr+1),                         &
+                 m1(nzb+1:nzt,nxl-2:nxr+2),   sw(nzb+1:nzt,nxl-1:nxr+1)                            &
                )
        imme = 0.0_wp; impe = 0.0_wp; ipme = 0.0_wp; ippe = 0.0_wp
 
 !
-!--    Initialise point of time measuring of the exponential portion (this would
-!--    not work if done locally within the loop)
+!--    Initialise point of time measuring of the exponential portion (this would not work if done
+!--    locally within the loop)
        CALL cpu_log( log_point_s(12), 'advec_s_bc:exp', 'start' )
        CALL cpu_log( log_point_s(12), 'advec_s_bc:exp', 'pause' )
 
-!
-!--    Outer loop of all j
        DO  j = nys, nyn
 
@@ -285,15 +282,16 @@
              DO  k = nzb+1, nzt
                 a12(k,i) = 0.5_wp * ( sk_p(k,j,i+1) - sk_p(k,j,i-1) )
-                a22(k,i) = 0.5_wp * ( sk_p(k,j,i+1) - 2.0_wp * sk_p(k,j,i)        &
-                                                    + sk_p(k,j,i-1) )
-                a0(k,i) = ( 9.0_wp * sk_p(k,j,i+2)    - 116.0_wp * sk_p(k,j,i+1)  &
-                            + 2134.0_wp * sk_p(k,j,i) - 116.0_wp * sk_p(k,j,i-1)  &
-                            + 9.0_wp * sk_p(k,j,i-2) ) * f1920
-                a1(k,i) = ( -5.0_wp * sk_p(k,j,i+2)   + 34.0_wp * sk_p(k,j,i+1)   &
-                            - 34.0_wp * sk_p(k,j,i-1) + 5.0_wp * sk_p(k,j,i-2)    &
+                a22(k,i) = 0.5_wp * ( sk_p(k,j,i+1) - 2.0_wp * sk_p(k,j,i) + sk_p(k,j,i-1) )
+                a0(k,i) = ( 9.0_wp * sk_p(k,j,i+2)    - 116.0_wp * sk_p(k,j,i+1)                   &
+                            + 2134.0_wp * sk_p(k,j,i) - 116.0_wp * sk_p(k,j,i-1)                   &
+                            + 9.0_wp * sk_p(k,j,i-2)                                               &
+                          ) * f1920
+                a1(k,i) = ( -5.0_wp * sk_p(k,j,i+2)   + 34.0_wp * sk_p(k,j,i+1)                    &
+                            - 34.0_wp * sk_p(k,j,i-1) + 5.0_wp * sk_p(k,j,i-2)                     &
                           ) * f48
-                a2(k,i) = ( -3.0_wp * sk_p(k,j,i+2) + 36.0_wp * sk_p(k,j,i+1)     &
-                            - 66.0_wp * sk_p(k,j,i) + 36.0_wp * sk_p(k,j,i-1)     &
-                            - 3.0_wp * sk_p(k,j,i-2) ) * f48
+                a2(k,i) = ( -3.0_wp * sk_p(k,j,i+2) + 36.0_wp * sk_p(k,j,i+1)                      &
+                            - 66.0_wp * sk_p(k,j,i) + 36.0_wp * sk_p(k,j,i-1)                      &
+                            - 3.0_wp * sk_p(k,j,i-2)                                               &
+                          ) * f48
              ENDDO
           ENDDO
@@ -301,5 +299,4 @@
 !
 !--       Fluxes using the Bott scheme
-!--       *VOCL LOOP,UNROLL(2)
           DO  i = nxl, nxr
              DO  k = nzb+1, nzt
@@ -308,9 +305,9 @@
                 cipf = 1.0_wp - 2.0_wp * cip
                 cimf = 1.0_wp - 2.0_wp * cim
-                ip   =   a0(k,i)   * f2  * ( 1.0_wp - cipf )                      &
-                       + a1(k,i)   * f8  * ( 1.0_wp - cipf*cipf )                 &
+                ip   =   a0(k,i)   * f2  * ( 1.0_wp - cipf )                                       &
+                       + a1(k,i)   * f8  * ( 1.0_wp - cipf*cipf )                                  &
                        + a2(k,i)   * f24 * ( 1.0_wp - cipf*cipf*cipf )
-                im   =   a0(k,i+1) * f2  * ( 1.0_wp - cimf )                      &
-                       - a1(k,i+1) * f8  * ( 1.0_wp - cimf*cimf )                 &
+                im   =   a0(k,i+1) * f2  * ( 1.0_wp - cimf )                                       &
+                       - a1(k,i+1) * f8  * ( 1.0_wp - cimf*cimf )                                  &
                        + a2(k,i+1) * f24 * ( 1.0_wp - cimf*cimf*cimf )
                 ip   = MAX( ip, 0.0_wp )
@@ -323,9 +320,9 @@
                 cipf = 1.0_wp - 2.0_wp * cip
                 cimf = 1.0_wp - 2.0_wp * cim
-                ip   =   a0(k,i-1) * f2  * ( 1.0_wp - cipf )                      &
-                       + a1(k,i-1) * f8  * ( 1.0_wp - cipf*cipf )                 &
+                ip   =   a0(k,i-1) * f2  * ( 1.0_wp - cipf )                                       &
+                       + a1(k,i-1) * f8  * ( 1.0_wp - cipf*cipf )                                  &
                        + a2(k,i-1) * f24 * ( 1.0_wp - cipf*cipf*cipf )
-                im   =   a0(k,i)   * f2  * ( 1.0_wp - cimf )                      &
-                       - a1(k,i)   * f8  * ( 1.0_wp - cimf*cimf )                 &
+                im   =   a0(k,i)   * f2  * ( 1.0_wp - cimf )                                       &
+                       - a1(k,i)   * f8  * ( 1.0_wp - cimf*cimf )                                  &
                        + a2(k,i)   * f24 * ( 1.0_wp - cimf*cimf*cimf )
                 ip   = MAX( ip, 0.0_wp )
@@ -358,10 +355,8 @@
           DO  i = nxl-1, nxr+1
              DO  k = nzb+1, nzt
-                m2 = 2.0_wp * ABS( a1(k,i) - a12(k,i) ) /                         &
-                     MAX( ABS( a1(k,i) + a12(k,i) ), 1E-35_wp )
+                m2 = 2.0_wp * ABS( a1(k,i) - a12(k,i) ) / MAX( ABS( a1(k,i) + a12(k,i) ), 1E-35_wp )
                 IF ( ABS( a1(k,i) + a12(k,i) ) < fmax(2) )  m2 = 0.0_wp
 
-                m3 = 2.0_wp * ABS( a2(k,i) - a22(k,i) ) /                         &
-                     MAX( ABS( a2(k,i) + a22(k,i) ), 1E-35_wp )
+                m3 = 2.0_wp * ABS( a2(k,i) - a22(k,i) ) / MAX( ABS( a2(k,i) + a22(k,i) ), 1E-35_wp )
                 IF ( ABS( a2(k,i) + a22(k,i) ) < fmax(1) )  m3 = 0.0_wp
 
@@ -369,10 +364,7 @@
                 t2 = 0.35_wp
                 IF ( m1(k,i) == -1.0_wp )  t2 = 0.12_wp
-
-!--             *VOCL STMT,IF(10)
-                IF ( m1(k,i-1) == 1.0_wp .OR. m1(k,i) == 1.0_wp                   &
-                     .OR. m1(k,i+1) == 1.0_wp .OR.  m2 > t2  .OR.  m3 > t2  .OR.  &
-                     ( m1(k,i) > t1  .AND.  m1(k,i-1) /= -1.0_wp  .AND.           &
-                       m1(k,i) /= -1.0_wp  .AND.  m1(k,i+1) /= -1.0_wp )          &
+                IF ( m1(k,i-1) == 1.0_wp  .OR.  m1(k,i) == 1.0_wp  .OR.  m1(k,i+1) == 1.0_wp  .OR. &
+                     m2 > t2  .OR.  m3 > t2  .OR.  ( m1(k,i) > t1 .AND. m1(k,i-1) /= -1.0_wp .AND. &
+                     m1(k,i) /= -1.0_wp .AND. m1(k,i+1) /= -1.0_wp )                               &
                    )  sw(k,i) = 1.0_wp
              ENDDO
@@ -385,5 +377,4 @@
              DO  k = nzb+1, nzt
 
-!--             *VOCL STMT,IF(10)
                 IF ( sw(k,i) == 1.0_wp )  THEN
                    snenn = sk_p(k,j,i+1) - sk_p(k,j,i-1)
@@ -397,9 +388,9 @@
                    cip =  MAX( 0.0_wp, ( u(k,j,i+1) - u_gtrans ) * dt_3d * ddx )
 
-                   ippe(k,i) = sk_p(k,j,i-1) * cip + snenn * (                    &
-                               aex(ix) * cip + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )  &
-                                                                   )              &
+                   ippe(k,i) = sk_p(k,j,i-1) * cip + snenn * (                                     &
+                               aex(ix) * cip + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  ippe(k,i) = sk_p(k,j,i) * cip
@@ -416,9 +407,9 @@
                    cim = -MIN( 0.0_wp, ( u(k,j,i) - u_gtrans ) * dt_3d * ddx )
 
-                   imme(k,i) = sk_p(k,j,i+1) * cim + snenn * (                    &
-                               aex(ix) * cim + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) )  &
-                                                                   )              &
+                   imme(k,i) = sk_p(k,j,i+1) * cim + snenn * (                                     &
+                               aex(ix) * cim + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  imme(k,i) = sk_p(k,j,i) * cim
@@ -426,5 +417,4 @@
                 ENDIF
 
-!--             *VOCL STMT,IF(10)
                 IF ( sw(k,i+1) == 1.0_wp )  THEN
                    snenn = sk_p(k,j,i) - sk_p(k,j,i+2)
@@ -438,9 +428,9 @@
                    cim = -MIN( 0.0_wp, ( u(k,j,i+1) - u_gtrans ) * dt_3d * ddx )
 
-                   impe(k,i) = sk_p(k,j,i+2) * cim + snenn * (                    &
-                               aex(ix) * cim + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) )  &
-                                                                   )              &
+                   impe(k,i) = sk_p(k,j,i+2) * cim + snenn * (                                     &
+                               aex(ix) * cim + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cim ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  impe(k,i) = sk_p(k,j,i+1) * cim
@@ -448,5 +438,4 @@
                 ENDIF
 
-!--             *VOCL STMT,IF(10)
                 IF ( sw(k,i-1) == 1.0_wp )  THEN
                    snenn = sk_p(k,j,i) - sk_p(k,j,i-2)
@@ -460,9 +449,9 @@
                    cip = MAX( 0.0_wp, ( u(k,j,i) - u_gtrans ) * dt_3d * ddx )
 
-                   ipme(k,i) = sk_p(k,j,i-2) * cip + snenn * (                    &
-                               aex(ix) * cip + bex(ix) / dex(ix) * (              &
-                               eex(ix) -                                          &
-                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )  &
-                                                                   )              &
+                   ipme(k,i) = sk_p(k,j,i-2) * cip + snenn * (                                     &
+                               aex(ix) * cip + bex(ix) / dex(ix) * (                               &
+                               eex(ix) -                                                           &
+                               EXP( dex(ix)*0.5_wp * ( 1.0_wp - 2.0_wp * cip ) )                   &
+                                                                   )                               &
                                                              )
                    IF ( sterm == 0.0001_wp )  ipme(k,i) = sk_p(k,j,i-1) * cip
@@ -478,8 +467,8 @@
           DO  i = nxl, nxr
              DO  k = nzb+1, nzt
-                fplus  = ( 1.0_wp - sw(k,i)   ) * ippb(k,i) + sw(k,i)   * ippe(k,i)  &
-                       - ( 1.0_wp - sw(k,i+1) ) * impb(k,i) - sw(k,i+1) * impe(k,i)
-                fminus = ( 1.0_wp - sw(k,i-1) ) * ipmb(k,i) + sw(k,i-1) * ipme(k,i)  &
-                       - ( 1.0_wp - sw(k,i)   ) * immb(k,i) - sw(k,i)   * imme(k,i)
+                fplus  = ( 1.0_wp - sw(k,i) )     * ippb(k,i) + sw(k,i)   * ippe(k,i)              &
+                         - ( 1.0_wp - sw(k,i+1) ) * impb(k,i) - sw(k,i+1) * impe(k,i)
+                fminus = ( 1.0_wp - sw(k,i-1) )   * ipmb(k,i) + sw(k,i-1) * ipme(k,i)              &
+                         - ( 1.0_wp - sw(k,i) )   * immb(k,i) - sw(k,i)   * imme(k,i)
                 tendcy = fplus - fminus
 !
@@ -490,6 +479,5 @@
 !--             Density correction because of possible remaining divergences
                 d_new = d(k,j,i) - ( u(k,j,i+1) - u(k,j,i) ) * dt_3d * ddx
-                sk_p(k,j,i) = ( ( 1.0_wp + d(k,j,i) ) * sk_p(k,j,i) - tendcy ) /    &
-                              ( 1.0_wp + d_new )
+                sk_p(k,j,i) = ( ( 1.0_wp + d(k,j,i) ) * sk_p(k,j,i) - tendcy ) / ( 1.0_wp + d_new )
                 d(k,j,i)  = d_new
              ENDDO
@@ -500,6 +488,5 @@
 !
 !--    Deallocate temporary arrays
-       DEALLOCATE( a0, a1, a2, a12, a22, immb, imme, impb, impe, ipmb, ipme,      &
-                   ippb, ippe, m1, sw )
+       DEALLOCATE( a0, a1, a2, a12, a22, immb, imme, impb, impe, ipmb, ipme, ippb, ippe, m1, sw )
 
 
@@ -508,5 +495,5 @@
 #if defined( __parallel )
        ngp = ( nzt - nzb + 6 ) * ( nyn - nys + 7 )
-       CALL MPI_TYPE_VECTOR( nxr-nxl+7, 3*(nzt-nzb+6), ngp, MPI_REAL,             &
+       CALL MPI_TYPE_VECTOR( nxr-nxl+7, 3*(nzt-nzb+6), ngp, MPI_REAL,                              &
                              type_xz_2, ierr )
        CALL MPI_TYPE_COMMIT( type_xz_2, ierr )
@@ -514,11 +501,11 @@
 !--    Send front boundary, receive rear boundary
        CALL cpu_log( log_point_s(11), 'advec_s_bc:sendrecv', 'continue' )
-       CALL MPI_SENDRECV( sk_p(nzb-2,nys,nxl-3),   1, type_xz_2, psouth, 0,       &
-                          sk_p(nzb-2,nyn+1,nxl-3), 1, type_xz_2, pnorth, 0,       &
+       CALL MPI_SENDRECV( sk_p(nzb-2,nys,nxl-3),   1, type_xz_2, psouth, 0,                        &
+                          sk_p(nzb-2,nyn+1,nxl-3), 1, type_xz_2, pnorth, 0,                        &
                           comm2d, status, ierr )
 !
 !--    Send rear boundary, receive front boundary
-       CALL MPI_SENDRECV( sk_p(nzb-2,nyn-2,nxl-3), 1, type_xz_2, pnorth, 1,       &
-                          sk_p(nzb-2,nys-3,nxl-3), 1, type_xz_2, psouth, 1,       &
+       CALL MPI_SENDRECV( sk_p(nzb-2,nyn-2,nxl-3), 1, type_xz_2, pnorth, 1,                        &
+                          sk_p(nzb-2,nys-3,nxl-3), 1, type_xz_2, psouth, 1,                        &
                           comm2d, status, ierr )
        CALL MPI_TYPE_FREE( type_xz_2, ierr )
@@ -561,17 +548,14 @@
 !
 !--    Allocate temporary arrays
-       ALLOCATE( a0(nzb+1:nzt,nys-1:nyn+1),   a1(nzb+1:nzt,nys-1:nyn+1),          &
-                 a2(nzb+1:nzt,nys-1:nyn+1),   a12(nzb+1:nzt,nys-1:nyn+1),         &
-                 a22(nzb+1:nzt,nys-1:nyn+1),  immb(nzb+1:nzt,nys-1:nyn+1),        &
-                 imme(nzb+1:nzt,nys-1:nyn+1), impb(nzb+1:nzt,nys-1:nyn+1),        &
-                 impe(nzb+1:nzt,nys-1:nyn+1), ipmb(nzb+1:nzt,nys-1:nyn+1),        &
-                 ipme(nzb+1:nzt,nys-1:nyn+1), ippb(nzb+1:nzt,nys-1:nyn+1),        &
-                 ippe(nzb+1:nzt,nys-1:nyn+1), m1(nzb+1:nzt,nys-2:nyn+2),          &
-                 sw(nzb+1:nzt,nys-1:nyn+1)                                        &
+       ALLOCATE( a0(nzb+1:nzt,nys-1:nyn+1),   a1(nzb+1:nzt,nys-1:nyn+1), a2(nzb+1:nzt,nys-1:nyn+1),&
+                 a12(nzb+1:nzt,nys-1:nyn+1),  a22(nzb+1:nzt,nys-1:nyn+1),                          &
+                 immb(nzb+1:nzt,nys-1:nyn+1), imme(nzb+1:nzt,nys-1:nyn+1),                         &
+                 impb(nzb+1:nzt,nys-1:nyn+1), impe(nzb+1:nzt,nys-1:nyn+1),                         &
+                 ipmb(nzb+1:nzt,nys-1:nyn+1), ipme(nzb+1:nzt,nys-1:nyn+1),                         &
+                 ippb(nzb+1:nzt,nys-1:nyn+1), ippe(nzb+1:nzt,nys-1:nyn+1),                         &
+                 m1(nzb+1:nzt,nys-2:nyn+2),   sw(nzb+1:nzt,nys-1:nyn+1)                            &
                )
        imme = 0.0_wp; impe = 0.0_wp; ipme = 0.0_wp; ippe = 0.0_wp
 
-!
-!--    Outer loop of all i
        DO  i = nxl, nxr
 
@@ -581,15 +565,16 @@
              DO  k = nzb+1, nzt
                 a12(k,j) = 0.5_wp * ( sk_p(k,j+1,i) - sk_p(k,j-1,i) )
-                a22(k,j) = 0.5_wp * ( sk_p(k,j+1,i) - 2.0_wp * sk_p(k,j,i)        &
-                                                    + sk_p(k,j-1,i) )
-                a0(k,j) = ( 9.0_wp * sk_p(k,j+2,i)    - 116.0_wp * sk_p(k,j+1,i)  &
-                            + 2134.0_wp * sk_p(k,j,i) - 116.0_wp * sk_p(k,j-1,i)  &
-                            + 9.0_wp * sk_p(k,j-2,i) ) * f1920
-                a1(k,j) = ( -5.0_wp   * sk_p(k,j+2,i) + 34.0_wp * sk_p(k,j+1,i)   &
-                            - 34.0_wp * sk_p(k,j-1,i) + 5.0_wp  * sk_p(k,j-2,i)   &
+                a22(k,j) = 0.5_wp * ( sk_p(k,j+1,i) - 2.0_wp * sk_p(k,j,i) + sk_p(k,j-1,i) )
+                a0(k,j) = ( 9.0_wp * sk_p(k,j+2,i)    - 116.0_wp * sk_p(k,j+1,i)                   &
+                            + 2134.0_wp * sk_p(k,j,i) - 116.0_wp * sk_p(k,j-1,i)                   &
+                            + 9.0_wp * sk_p(k,j-2,i)                                               &
+                          ) * f1920
+                a1(k,j) = ( -5.0_wp   * sk_p(k,j+2,i) + 34.0_wp * sk_p(k,j+1,i)                    &
+                            - 34.0_wp * sk_p(k,j-1,i) + 5.0_wp  * sk_p(k,j-2,i)                    &
                           ) * f48
-                a2(k,j) = ( -3.0_wp * sk_p(k,j+2,i) + 36.0_wp * sk_p(k,j+1,i)     &
-                            - 66.0_wp * sk_p(k,j,i) + 36.0_wp * sk_p(k,j-1,i)     &
-                            - 3.0_wp * sk_p(k,j-2,i) ) * f48
+                a2(k,j) = ( -3.0_wp * sk_p(k,j+2,i) + 36.0_wp * sk_p(k,j+1,i)                      &
+                            - 66.0_wp * sk_p(k,j,i) + 36.0_wp * sk_p(k,j-1,i)                      &
+                            - 3.0_wp * sk_p(k,j-2,i)                                               &
+                          ) * f48
              ENDDO
           ENDDO
@@ -597,5 +582,4 @@
 !
 !--       Fluxes using the Bott scheme
-!--       *VOCL LOOP,UNROLL(2)
           DO  j = nys, nyn
              DO  k = nzb+1, nzt
@@ -604,9 +588,9 @@
                 cipf = 1.0_wp - 2.0_wp * cip
                 cimf = 1.0_wp - 2.0_wp * cim
-                ip   =   a0(k,j)   * f2  * ( 1.0_wp - cipf )                      &
-                       + a1(k,j)   * f8  * ( 1.0_wp - cipf*cipf )                 &
+                ip   =   a0(k,j)   * f2  * ( 1.0_wp - cipf )                                       &
+                       + a1(k,j)   * f8  * ( 1.0_wp - cipf*cipf )                                  &
                        + a2(k,j)   * f24 * ( 1.0_wp - cipf*cipf*cipf )
-                im   =   a0(k,j+1) * f2  * ( 1.0_wp - cimf )                      &
-                       - a1(k,j+1) * f8  * ( 1.0_wp - cimf*cimf )                 &
+                im   =   a0(k,j+1) * f2  * ( 1.0_wp - cimf )                                       &
+                       - a1(k,j+1) * f8  * ( 1.0_wp - cimf*cimf )                                  &
                        + a2(k,j+1) * f24 * ( 1.0_wp - cimf*cimf*cimf )
                 ip   = MAX( ip, 0.0_wp )
